<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 17:17:31 CEST 2020 -->
<title>A-Index</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="A-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><a href="../org/polarsys/chess/core/Activator.html" title="class in org.polarsys.chess.core"><span class="typeNameLink">Activator</span></a> - Class in <a href="../org/polarsys/chess/core/package-summary.html">org.polarsys.chess.core</a></dt>
<dd>
<div class="block">The activator class controls the plug-in life cycle</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/Activator.html#Activator--">Activator()</a></span> - Constructor for class org.polarsys.chess.core.<a href="../org/polarsys/chess/core/Activator.html" title="class in org.polarsys.chess.core">Activator</a></dt>
<dd>
<div class="block">The constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/views/ViewDiagramAssociations.html#activityDiagram">activityDiagram</a></span> - Static variable in class org.polarsys.chess.core.views.<a href="../org/polarsys/chess/core/views/ViewDiagramAssociations.html" title="class in org.polarsys.chess.core.views">ViewDiagramAssociations</a></dt>
<dd>
<div class="block">The activity diagram.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/internal/util/MainRegistry.html#add-java.lang.Class-java.lang.Object-">add(Class&lt;?&gt;, Object)</a></span> - Method in class org.polarsys.chess.core.internal.util.<a href="../org/polarsys/chess/core/internal/util/MainRegistry.html" title="class in org.polarsys.chess.core.internal.util">MainRegistry</a></dt>
<dd>
<div class="block">Adds the.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/util/commands/AddDiagramElement.html#addClientServerPort-org.eclipse.uml2.uml.Component-org.eclipse.emf.common.util.EList-">addClientServerPort(Component, EList&lt;Dependency&gt;)</a></span> - Static method in class org.polarsys.chess.core.util.commands.<a href="../org/polarsys/chess/core/util/commands/AddDiagramElement.html" title="class in org.polarsys.chess.core.util.commands">AddDiagramElement</a></dt>
<dd>
<div class="block">Creates client/server port into the given component based on the given dependencies.</div>
</dd>
<dt><a href="../org/polarsys/chess/core/util/commands/AddDiagramElement.html" title="class in org.polarsys.chess.core.util.commands"><span class="typeNameLink">AddDiagramElement</span></a> - Class in <a href="../org/polarsys/chess/core/util/commands/package-summary.html">org.polarsys.chess.core.util.commands</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/util/commands/AddDiagramElement.html#AddDiagramElement--">AddDiagramElement()</a></span> - Constructor for class org.polarsys.chess.core.util.commands.<a href="../org/polarsys/chess/core/util/commands/AddDiagramElement.html" title="class in org.polarsys.chess.core.util.commands">AddDiagramElement</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/internal/util/InternalCHESSProjectSupport.html#addNature-org.eclipse.core.resources.IProject-">addNature(IProject)</a></span> - Static method in class org.polarsys.chess.core.internal.util.<a href="../org/polarsys/chess/core/internal/util/InternalCHESSProjectSupport.html" title="class in org.polarsys.chess.core.internal.util">InternalCHESSProjectSupport</a></dt>
<dd>
<div class="block">Adds the nature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/util/commands/AddDiagramElement.html#addOperationCommand-org.eclipse.emf.transaction.TransactionalEditingDomain-org.eclipse.uml2.uml.Interface-org.eclipse.uml2.uml.Component-">addOperationCommand(TransactionalEditingDomain, Interface, Component)</a></span> - Static method in class org.polarsys.chess.core.util.commands.<a href="../org/polarsys/chess/core/util/commands/AddDiagramElement.html" title="class in org.polarsys.chess.core.util.commands">AddDiagramElement</a></dt>
<dd>
<div class="block">Creates all the operations of a given interface into the given implementing component.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/util/commands/AddDiagramElement.html#addOperationCommand-org.eclipse.emf.transaction.TransactionalEditingDomain-org.eclipse.uml2.uml.Component-org.eclipse.uml2.uml.Component-">addOperationCommand(TransactionalEditingDomain, Component, Component)</a></span> - Static method in class org.polarsys.chess.core.util.commands.<a href="../org/polarsys/chess/core/util/commands/AddDiagramElement.html" title="class in org.polarsys.chess.core.util.commands">AddDiagramElement</a></dt>
<dd>
<div class="block">Creates all the operations of a given component into the given extending component.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/util/commands/AddDiagramElement.html#addOperationCommand1-org.eclipse.emf.transaction.TransactionalEditingDomain-org.eclipse.uml2.uml.Interface-org.eclipse.uml2.uml.Operation-">addOperationCommand1(TransactionalEditingDomain, Interface, Operation)</a></span> - Static method in class org.polarsys.chess.core.util.commands.<a href="../org/polarsys/chess/core/util/commands/AddDiagramElement.html" title="class in org.polarsys.chess.core.util.commands">AddDiagramElement</a></dt>
<dd>
<div class="block">Copies the given operation into all the descendants of the given interface.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/util/commands/AddDiagramElement.html#addPortCommand-org.eclipse.emf.transaction.TransactionalEditingDomain-org.eclipse.uml2.uml.Component-org.eclipse.uml2.uml.Component-">addPortCommand(TransactionalEditingDomain, Component, Component)</a></span> - Static method in class org.polarsys.chess.core.util.commands.<a href="../org/polarsys/chess/core/util/commands/AddDiagramElement.html" title="class in org.polarsys.chess.core.util.commands">AddDiagramElement</a></dt>
<dd>
<div class="block">Creates client/server port into the given target component based on the dependencies with the given source
 component.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/extensionpoint/IAddProfile.html#addProfile-org.eclipse.uml2.uml.Model-org.eclipse.emf.ecore.resource.ResourceSet-">addProfile(Model, ResourceSet)</a></span> - Method in interface org.polarsys.chess.core.extensionpoint.<a href="../org/polarsys/chess/core/extensionpoint/IAddProfile.html" title="interface in org.polarsys.chess.core.extensionpoint">IAddProfile</a></dt>
<dd>
<div class="block">Applies a profile to the given model and resourceset.</div>
</dd>
<dt><a href="../org/polarsys/chess/core/internal/extensionpoint/AddProfileHandler.html" title="class in org.polarsys.chess.core.internal.extensionpoint"><span class="typeNameLink">AddProfileHandler</span></a> - Class in <a href="../org/polarsys/chess/core/internal/extensionpoint/package-summary.html">org.polarsys.chess.core.internal.extensionpoint</a></dt>
<dd>
<div class="block">The Class AddProfileHandler.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/internal/extensionpoint/AddProfileHandler.html#AddProfileHandler--">AddProfileHandler()</a></span> - Constructor for class org.polarsys.chess.core.internal.extensionpoint.<a href="../org/polarsys/chess/core/internal/extensionpoint/AddProfileHandler.html" title="class in org.polarsys.chess.core.internal.extensionpoint">AddProfileHandler</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html#Alloc">Alloc</a></span> - Static variable in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html" title="class in org.polarsys.chess.core.profiles">MARTEProfileManager</a></dt>
<dd>
<div class="block">The Constant Alloc.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html#ANALYSIS_VIEW">ANALYSIS_VIEW</a></span> - Static variable in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html" title="class in org.polarsys.chess.core.profiles">CHESSProfileManager</a></dt>
<dd>
<div class="block">The Constant ANALYSIS_VIEW.</div>
</dd>
<dt><a href="../org/polarsys/chess/core/util/AnalysisResultData.html" title="class in org.polarsys.chess.core.util"><span class="typeNameLink">AnalysisResultData</span></a> - Class in <a href="../org/polarsys/chess/core/util/package-summary.html">org.polarsys.chess.core.util</a></dt>
<dd>
<div class="block">Used to save and display the Schedulability Analysis result data.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/util/AnalysisResultData.html#AnalysisResultData--">AnalysisResultData()</a></span> - Constructor for class org.polarsys.chess.core.util.<a href="../org/polarsys/chess/core/util/AnalysisResultData.html" title="class in org.polarsys.chess.core.util">AnalysisResultData</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/internal/views/permissions/EntryId.html#ANY">ANY</a></span> - Static variable in class org.polarsys.chess.core.internal.views.permissions.<a href="../org/polarsys/chess/core/internal/views/permissions/EntryId.html" title="class in org.polarsys.chess.core.internal.views.permissions">EntryId</a></dt>
<dd>
<div class="block">The none.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/views/ViewDiagramAssociations.html#ANYDIAGRAM">ANYDIAGRAM</a></span> - Static variable in class org.polarsys.chess.core.views.<a href="../org/polarsys/chess/core/views/ViewDiagramAssociations.html" title="class in org.polarsys.chess.core.views">ViewDiagramAssociations</a></dt>
<dd>
<div class="block">The anydiagram.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/internal/views/permissions/EntryId.html#anyEntry">anyEntry</a></span> - Static variable in class org.polarsys.chess.core.internal.views.permissions.<a href="../org/polarsys/chess/core/internal/views/permissions/EntryId.html" title="class in org.polarsys.chess.core.internal.views.permissions">EntryId</a></dt>
<dd>
<div class="block">The any entry.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html#applyAllocProfileTo-org.eclipse.uml2.uml.Package-">applyAllocProfileTo(Package)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html" title="class in org.polarsys.chess.core.profiles">MARTEProfileManager</a></dt>
<dd>
<div class="block">Applied the SAM profile to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/SysMLProfileManager.html#applyBlockProfileTo-org.eclipse.uml2.uml.Package-boolean-">applyBlockProfileTo(Package, boolean)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/SysMLProfileManager.html" title="class in org.polarsys.chess.core.profiles">SysMLProfileManager</a></dt>
<dd>
<div class="block">Applies the Block profile to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html#applyCH_HwBusStereotype-org.eclipse.uml2.uml.Element-">applyCH_HwBusStereotype(Element)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html" title="class in org.polarsys.chess.core.profiles">CHESSProfileManager</a></dt>
<dd>
<div class="block">Applies the CH_HwBus stereotype to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html#applyCH_HwComputingResourceStereotype-org.eclipse.uml2.uml.Element-">applyCH_HwComputingResourceStereotype(Element)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html" title="class in org.polarsys.chess.core.profiles">CHESSProfileManager</a></dt>
<dd>
<div class="block">Apply the CH_HwComputingResource to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html#applyCH_HwProcessorStereotype-org.eclipse.uml2.uml.Element-">applyCH_HwProcessorStereotype(Element)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html" title="class in org.polarsys.chess.core.profiles">CHESSProfileManager</a></dt>
<dd>
<div class="block">Apply the CH_HwProcessor to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html#applyCHESSStereotype-org.eclipse.uml2.uml.Element-">applyCHESSStereotype(Element)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html" title="class in org.polarsys.chess.core.profiles">CHESSProfileManager</a></dt>
<dd>
<div class="block">Applies the CHESS Stereotype to the element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html#applyCHGaResourcePlatformStereotype-org.eclipse.uml2.uml.Package-">applyCHGaResourcePlatformStereotype(Package)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html" title="class in org.polarsys.chess.core.profiles">CHESSProfileManager</a></dt>
<dd>
<div class="block">Applies the CHGaResourcePlatform stereotype to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html#applyChRTPortSlotStereotype-org.eclipse.uml2.uml.Slot-">applyChRTPortSlotStereotype(Slot)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html" title="class in org.polarsys.chess.core.profiles">CHESSProfileManager</a></dt>
<dd>
<div class="block">Applies the CHRtPortSlot stereotype to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html#applyChRTPortSlotStereotype-org.eclipse.uml2.uml.InstanceSpecification-">applyChRTPortSlotStereotype(InstanceSpecification)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html" title="class in org.polarsys.chess.core.profiles">CHESSProfileManager</a></dt>
<dd>
<div class="block">Applies the CHRtPortSlot stereotype to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html#applyCoreElementProfileTo-org.eclipse.uml2.uml.Package-">applyCoreElementProfileTo(Package)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html" title="class in org.polarsys.chess.core.profiles">MARTEProfileManager</a></dt>
<dd>
<div class="block">Applied the Core profile to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html#applyDataTypeProfileTo-org.eclipse.uml2.uml.Package-">applyDataTypeProfileTo(Package)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html" title="class in org.polarsys.chess.core.profiles">MARTEProfileManager</a></dt>
<dd>
<div class="block">Applied the SAM profile to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html#applyFPTCPortSlotStereotype-org.eclipse.uml2.uml.Slot-">applyFPTCPortSlotStereotype(Slot)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html" title="class in org.polarsys.chess.core.profiles">CHESSProfileManager</a></dt>
<dd>
<div class="block">Applies the FPTCPortSlot stereotype to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html#applyGCMProfileTo-org.eclipse.uml2.uml.Package-">applyGCMProfileTo(Package)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html" title="class in org.polarsys.chess.core.profiles">MARTEProfileManager</a></dt>
<dd>
<div class="block">Applied the GCM profile to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html#applyGQAMProfileTo-org.eclipse.uml2.uml.Package-">applyGQAMProfileTo(Package)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html" title="class in org.polarsys.chess.core.profiles">MARTEProfileManager</a></dt>
<dd>
<div class="block">Applied the SAM profile to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html#applyGRMProfileTo-org.eclipse.uml2.uml.Package-">applyGRMProfileTo(Package)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html" title="class in org.polarsys.chess.core.profiles">MARTEProfileManager</a></dt>
<dd>
<div class="block">Applied the GRM and nested profiles to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html#applyHLAMProfileTo-org.eclipse.uml2.uml.Package-">applyHLAMProfileTo(Package)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html" title="class in org.polarsys.chess.core.profiles">MARTEProfileManager</a></dt>
<dd>
<div class="block">Applied the SAM profile to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html#applyHRMProfileTo-org.eclipse.uml2.uml.Package-">applyHRMProfileTo(Package)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html" title="class in org.polarsys.chess.core.profiles">MARTEProfileManager</a></dt>
<dd>
<div class="block">Applies HRM and nested profiles to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html#applyMultiInstanceStereotype-org.eclipse.uml2.uml.InstanceSpecification-">applyMultiInstanceStereotype(InstanceSpecification)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html" title="class in org.polarsys.chess.core.profiles">CHESSProfileManager</a></dt>
<dd>
<div class="block">Applies the MultiInstance stereotype to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html#applyMultiSlotStereotype-org.eclipse.uml2.uml.Slot-">applyMultiSlotStereotype(Slot)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html" title="class in org.polarsys.chess.core.profiles">CHESSProfileManager</a></dt>
<dd>
<div class="block">Applies the Propagation stereotype to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html#applyNFPProfileTo-org.eclipse.uml2.uml.Package-">applyNFPProfileTo(Package)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html" title="class in org.polarsys.chess.core.profiles">MARTEProfileManager</a></dt>
<dd>
<div class="block">Applied the NFP profile to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html#applyNFPsProfileTo-org.eclipse.uml2.uml.Package-">applyNFPsProfileTo(Package)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html" title="class in org.polarsys.chess.core.profiles">MARTEProfileManager</a></dt>
<dd>
<div class="block">Applied the SAM profile to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/util/uml/ProfileUtils.html#applyProfileRecursively-org.eclipse.uml2.uml.Profile-org.eclipse.uml2.uml.Package-">applyProfileRecursively(Profile, Package)</a></span> - Static method in class org.polarsys.chess.core.util.uml.<a href="../org/polarsys/chess/core/util/uml/ProfileUtils.html" title="class in org.polarsys.chess.core.util.uml">ProfileUtils</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>
<div class="block"><span class="deprecationComment">use directly <code>PackageUtil.applyProfile(Package, Profile, boolean)</code> instead.</span></div>
</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html#applyPropagationStereotype-org.eclipse.uml2.uml.InstanceSpecification-">applyPropagationStereotype(InstanceSpecification)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html" title="class in org.polarsys.chess.core.profiles">CHESSProfileManager</a></dt>
<dd>
<div class="block">Applies the Propagation stereotype to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html#applyRecursively-org.eclipse.uml2.uml.Model-">applyRecursively(Model)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html" title="class in org.polarsys.chess.core.profiles">CHESSProfileManager</a></dt>
<dd>
<div class="block">applies CHESS, VIEWS and CORE profile to the given CHESS Model.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/SysMLProfileManager.html#applyRequirementProfileTo-org.eclipse.uml2.uml.Package-">applyRequirementProfileTo(Package)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/SysMLProfileManager.html" title="class in org.polarsys.chess.core.profiles">SysMLProfileManager</a></dt>
<dd>
<div class="block">Applies the Requirement profile and its subprofiles to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html#applySAMProfileTo-org.eclipse.uml2.uml.Package-">applySAMProfileTo(Package)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html" title="class in org.polarsys.chess.core.profiles">MARTEProfileManager</a></dt>
<dd>
<div class="block">Applied the SAM profile to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/SysMLProfileManager.html#applySatisfyStereotype-org.eclipse.uml2.uml.Abstraction-">applySatisfyStereotype(Abstraction)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/SysMLProfileManager.html" title="class in org.polarsys.chess.core.profiles">SysMLProfileManager</a></dt>
<dd>
<div class="block">Applies the Satisfy stereotype to the given <code>Abstraction</code>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/util/uml/UMLUtils.html#applyStereotype-org.eclipse.uml2.uml.Element-java.lang.String-">applyStereotype(Element, String)</a></span> - Static method in class org.polarsys.chess.core.util.uml.<a href="../org/polarsys/chess/core/util/uml/UMLUtils.html" title="class in org.polarsys.chess.core.util.uml">UMLUtils</a></dt>
<dd>
<div class="block">Applies the <code>Stereotype</code> to a given element based on the qualified name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html#applyStereotypeTo-java.lang.String-org.eclipse.uml2.uml.Element-">applyStereotypeTo(String, Element)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html" title="class in org.polarsys.chess.core.profiles">MARTEProfileManager</a></dt>
<dd>
<div class="block">Applies the stereotype referenced by its name to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html#applySwConcurrencyProfileTo-org.eclipse.uml2.uml.Package-">applySwConcurrencyProfileTo(Package)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html" title="class in org.polarsys.chess.core.profiles">MARTEProfileManager</a></dt>
<dd>
<div class="block">Applied the SAM profile to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html#applySwInteractionProfileTo-org.eclipse.uml2.uml.Package-">applySwInteractionProfileTo(Package)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html" title="class in org.polarsys.chess.core.profiles">MARTEProfileManager</a></dt>
<dd>
<div class="block">Applied the SwInteraction profile to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/SysMLProfileManager.html#applySysMLProfileTo-org.eclipse.uml2.uml.Package-boolean-">applySysMLProfileTo(Package, boolean)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/SysMLProfileManager.html" title="class in org.polarsys.chess.core.profiles">SysMLProfileManager</a></dt>
<dd>
<div class="block">Applies the SysML profile to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html#applyTo-org.eclipse.uml2.uml.Model-">applyTo(Model)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html" title="class in org.polarsys.chess.core.profiles">MARTEProfileManager</a></dt>
<dd>
<div class="block">Applies the MARTE profile to the model.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html#applyViewStereotype-java.lang.String-org.eclipse.uml2.uml.Element-">applyViewStereotype(String, Element)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html" title="class in org.polarsys.chess.core.profiles">CHESSProfileManager</a></dt>
<dd>
<div class="block">Apply view stereotype.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html#applyVSLProfileTo-org.eclipse.uml2.uml.Package-">applyVSLProfileTo(Package)</a></span> - Static method in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/MARTEProfileManager.html" title="class in org.polarsys.chess.core.profiles">MARTEProfileManager</a></dt>
<dd>
<div class="block">Applied the SAM profile to the given element.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html#ARE_VIEWS_LOADED">ARE_VIEWS_LOADED</a></span> - Static variable in class org.polarsys.chess.core.profiles.<a href="../org/polarsys/chess/core/profiles/CHESSProfileManager.html" title="class in org.polarsys.chess.core.profiles">CHESSProfileManager</a></dt>
<dd>
<div class="block">The are views loaded.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/util/uml/UMLUtils.html#areOperationsEqual-org.eclipse.uml2.uml.Operation-org.eclipse.uml2.uml.Operation-org.eclipse.uml2.uml.Parameter-">areOperationsEqual(Operation, Operation, Parameter)</a></span> - Static method in class org.polarsys.chess.core.util.uml.<a href="../org/polarsys/chess/core/util/uml/UMLUtils.html" title="class in org.polarsys.chess.core.util.uml">UMLUtils</a></dt>
<dd>
<div class="block">If parameter 'p' is null checks if the operations are the same, that is if they have the same signature.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/util/uml/UMLUtils.html#areParametersEqual-org.eclipse.uml2.uml.Parameter-org.eclipse.uml2.uml.Parameter-">areParametersEqual(Parameter, Parameter)</a></span> - Static method in class org.polarsys.chess.core.util.uml.<a href="../org/polarsys/chess/core/util/uml/UMLUtils.html" title="class in org.polarsys.chess.core.util.uml">UMLUtils</a></dt>
<dd>
<div class="block">Checks if two parameters are the same.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/util/uml/UMLUtils.html#areParametersEquals-org.eclipse.uml2.uml.Operation-org.eclipse.uml2.uml.Operation-org.eclipse.uml2.uml.Parameter-">areParametersEquals(Operation, Operation, Parameter)</a></span> - Static method in class org.polarsys.chess.core.util.uml.<a href="../org/polarsys/chess/core/util/uml/UMLUtils.html" title="class in org.polarsys.chess.core.util.uml">UMLUtils</a></dt>
<dd>
<div class="block">Checks if the list of parameters of two operations are equal.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/util/uml/UMLUtils.html#areParametersEquals-org.eclipse.uml2.uml.Operation-org.eclipse.uml2.uml.Operation-">areParametersEquals(Operation, Operation)</a></span> - Static method in class org.polarsys.chess.core.util.uml.<a href="../org/polarsys/chess/core/util/uml/UMLUtils.html" title="class in org.polarsys.chess.core.util.uml">UMLUtils</a></dt>
<dd>
<div class="block">Checks if the parameters of two operations are the same.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/polarsys/chess/core/util/AnalysisResultData.html#arrival">arrival</a></span> - Variable in class org.polarsys.chess.core.util.<a href="../org/polarsys/chess/core/util/AnalysisResultData.html" title="class in org.polarsys.chess.core.util">AnalysisResultData</a></dt>
<dd>
<div class="block">The arrival.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
